## sonobuoy retrieve

Retrieves the results of a sonobuoy run to a specified path

```
sonobuoy retrieve [path] [flags]
```

### Options

```
      --context string          Context in the kubeconfig to use.
  -x, --extract                 If true, extracts the results instead of just downloading the results tarball.
  -f, --filename string         Specify the name of the downloaded file. If empty, defaults to the name of the tarball in the pod.
  -h, --help                    help for retrieve
      --kubeconfig Kubeconfig   Path to explicit kubeconfig file.
  -n, --namespace string        The namespace to run Sonobuoy in. Only one Sonobuoy run can exist per namespace simultaneously. (default "sonobuoy")
      --retrieve-path string    Specify the path to retrieve from the aggregator pod. (default "/tmp/sonobuoy")
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy](sonobuoy.md)	 - Generate reports on your Kubernetes cluster by running plugins

###### Auto generated by spf13/cobra on 17-Nov-2023
